=== debian/changelog ===
mod-authnz-persona (0.8.1-1) unstable; urgency=medium

  * Initial release. (Closes: #742851)

 -- Robie Basak <robie@justgohome.co.uk>  Sat, 08 Feb 2014 15:31:46 +0000
