=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/mod_authnz_persona-$1\.tar\.gz/ \
  https://github.com/mozilla/mod_authnz_persona/tags .*/v?(\d\S*)\.tar\.gz
